org.apache.maven.scm.provider.accurev.command.blame

## Class AccuRevBlameCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand
    - - org.apache.maven.scm.provider.accurev.command.blame.AccuRevBlameCommand

All Implemented Interfaces:
  Command

    public class AccuRevBlameCommand
    extends AbstractAccuRevCommand

Since:
  1.4
Author:
  Evgeny Mandrikov, Grant Gardner

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AccuRevBlameCommand(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BlameScmResult` `blame(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected BlameScmResult` `executeAccurevCommand(AccuRevScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.provider.accurev.command.AbstractAccuRevCommand

`executeCommand, getScmFiles`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevBlameCommand

    public AccuRevBlameCommand(ScmLogger logger)

### Method Detail

#### executeAccurevCommand

    protected BlameScmResult executeAccurevCommand(AccuRevScmProviderRepository repository,
                                                   ScmFileSet fileSet,
                                                   CommandParameters parameters)
                                            throws ScmException,
                                                   AccuRevException

Specified by:
  `executeAccurevCommand` in class `AbstractAccuRevCommand`
Throws:
  `ScmException`
  `AccuRevException`

#### blame

    public BlameScmResult blame(ScmProviderRepository repository,
                                ScmFileSet fileSet,
                                CommandParameters parameters)
                         throws ScmException

Throws:
  `ScmException`